import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;
const mouthWidth = 10;
const mouthRadius = 120;

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI * .75 + 3/2)
	.endAngle(Math.PI  *2 / 2.8);


const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="violet"
        stroke="black"
        stroke-width={strokeWidth}
      />
   
    
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "black"
        stroke = "black"
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "black"
        stroke = "black"
      />
    <ellipse
        rx={eyeRadius/1}
        ry={eyeRadius/2}
        fill = "yellow"
        stroke = "black"
      />
     
      <line
        x1={-200}
        y1={-235}
        x2={-120}
        y2={-210}
        stroke = "purple"
        stroke-width = '15'
      />
      <line
        x1={200}
        y1={-235}
        x2={120}
        y2={-210}
        stroke = "purple"
        stroke-width = '15'
      />
      <line
        x1={-200}
        y1={-240}
        x2={-200}
        y2={-140}
        stroke = "purple"
        stroke-width = '15'
      />
      <line
        x1={200}
        y1={-240}
        x2={200}
        y2={-140}
        stroke = "purple"
        stroke-width = '15'
      />
    
  <path d={mouthArc()}/>
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);